Name:           youtube-unblock
Version:        1.0.0.release
Release:        1%{?dist}
Summary:        Bypasses Deep Packet Inspection (DPI) systems that relies on SNI.

License:        GPLv3+


%global forgeurl https://github.com/Waujito/youtubeUnblock
%global tag v1.0.0
%forgemeta


URL:            %{forgeurl}
Source:         %{forgesource}

BuildRequires:  redhat-rpm-config systemd-rpm-macros gcc make autoconf automake pkg-config libtool glibc-static


%description
Bypasses Deep Packet Inspection (DPI) systems that relies on SNI.


%global unit youtube-unblock.service


%prep
%forgesetup


%build
%make_build


%install
PREFIX=%_exec_prefix %make_install
mv %{buildroot}%_unitdir/youtubeUnblock.service %{buildroot}%_unitdir/%unit
rm -rf %{buildroot}%_libdir


%post
%systemd_post %unit


%preun
%systemd_preun %unit


%postun
%systemd_postun_with_restart %unit


%files
%license LICENSE
%_bindir/youtubeUnblock
%_unitdir/%unit


%changelog
* Tue Mar 18 2025 Avzive <avzive@gmail.com>
- Update version (v1.0.0)
* Sat Jan 4 2025 Avzive <avzive@gmail.com>
- Update version (v1.0.0-rc5)
* Tue Nov 26 2024 Avzive <avzive@gmail.com>
- Initial version (v1.0.0-rc3)
